Meet our new partner – O’Reilly

o'reilly logo

Today we’ve received an acceptance letter from O’Reilly, so we are in partnership now. Stay connected – we are adding all the Flutter and Dart related content (there are thousands of items on their site).

O’Reilly Media (formerly O’Reilly & Associates) is an American learning company established by Tim O’Reilly that publishes books, produces tech conferences, and provides an online learning platform. Their distinctive brand features a woodcut of an animal on many of their book covers.

Using Flutter Forum

flutter forum screenshot

Did you know ? The fastest and the most useful way to ask the questions about Flutter is using developers forum.

Forum advantages:

  • Simple paradigm understood by most
  • Better organized via topics
  • Archives & accessing old topics easier
  • No email distractions unless you manually subscribe to them
  • Same user experience for all – user experience not web-browser dependent
  • Encourages sharing media (such as photos)
  • Easy to social share
  • Rich user profiles
  • Can “friend” other users, or “ignore” ones you don’t care for

Feel free to register on our forum and start asking your questions !

Happy coding 🙂

Setup a Flutter Developer Environment on Chrome OS

If you have a slow or old machine but still want to write a code on Flutter, you can try to install Chrome OS clone and give it a try.

The same settings I hope will work on original Chrome Book as well, but I don’t have it by hand to try.

I’ve made this setup on my PC with CloudReady OS from NeverWare

Read more Setup a Flutter Developer Environment on Chrome OS

Flutter Shop opening !

We are proud to announce that we are opening a Flutter Shop on the site.

The first category is Flutter Books – here you’ll find all the Flutter books from different sources. Collection will be updated constantly. Now we have a partnership with Amazon, more partners are coming.

The other planned categories will be:

  • Flutter Courses – all the Flutter courses available in the internet. For now we have a partnership with Udemy, more to come.
  • Flutter Clothes – T-shirts, sweatshirts, hoodies, e.t.c.
  • Other Flutter stuff – like coffee cups, ball pens, stickers, e.t.c.

Stay connected to see all of this stuff soon.

Visit Flutter Shop

Flutter version 1.20 breaking iOS builds.

Cannot compile (build some of my Flutter projects) after upgrading to version 1.20.

Some of the external dart packages cannot build (Google ones also).

Error launching application on iPhone 11.
Error output from Xcode build:

** BUILD FAILED **

Xcode's output:

ld: framework not found flutter_plugin_android_lifecycle
clang: error: linker command failed with exit code 1 (use -v to see invocation)
note: Using new build system
note: Building targets in parallel
note: Planning build
note: Constructing build description

So don’t upgrade to 1.20 before this bug will be fixed !!!

See the original issue we’ve made here:

https://github.com/flutter/flutter/issues/63220